ur_rna.StructureEditor.services.drawing.export

## Class GraphicsOp.ControlOp

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.export.GraphicsOp.ControlOp

- All Implemented Interfaces:
    GraphicsOp
  Direct Known Subclasses:
    GraphicsOp.EndOp, GraphicsOp.GroupEndOp, GraphicsOp.GroupStartOp, GraphicsOp.InitOp
  Enclosing interface:
    GraphicsOp

      public abstract static class GraphicsOp.ControlOp
      extends java.lang.Object
      implements GraphicsOp

  Represents an operation that is for control purposes only. It does not change the state of the graphics context or perform drawing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface ur_rna.StructureEditor.services.drawing.export.GraphicsOp

      `GraphicsOp.ActionOp, GraphicsOp.BackgroundOp, GraphicsOp.ClearHintsOp, GraphicsOp.ClearOp, GraphicsOp.ClipOp, GraphicsOp.ColorOp, GraphicsOp.CompositeOp, GraphicsOp.ControlOp, GraphicsOp.DrawImageOp, GraphicsOp.DrawShapeOp, GraphicsOp.DrawStringOp, GraphicsOp.EndOp, GraphicsOp.FontOp, GraphicsOp.GroupEndOp, GraphicsOp.GroupStartOp, GraphicsOp.HintOp, GraphicsOp.InitOp, GraphicsOp.PaintOp, GraphicsOp.StateOp, GraphicsOp.StrokeOp, GraphicsOp.TransformOp, GraphicsOp.XorModeOp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlOp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(GraphicsStyle c)`
    `void` | `replay(java.awt.Graphics2D g)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControlOp

          public ControlOp()

  - ### Method Detail

    - #### apply

          public void apply(GraphicsStyle c)

      Specified by:
        `apply` in interface `GraphicsOp`

    - #### replay

          public void replay(java.awt.Graphics2D g)

      Specified by:
        `replay` in interface `GraphicsOp`